Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class SubstanceType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.SubstanceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:16:07+01:00",
               comments="JAXB RI v2.3.6")
    public class SubstanceType

extends Object
implements Serializable

Java class for substanceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="substanceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-SUBSTANCE"/>
               <element name="substancename" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SubstanceType()`

Method Summary
`CDSUBSTANCE` | `getCd()` Gets the value of the cd property.
`String` | `getSubstancename()` Gets the value of the substancename property.
`void` | `setCd(CDSUBSTANCE value)` Sets the value of the cd property.
`void` | `setSubstancename(String value)` Sets the value of the substancename property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstanceType

    public SubstanceType()

Method Detail

### getSubstancename

    public String getSubstancename()

  Gets the value of the substancename property.

  Returns:
    possible object is `String`

### setSubstancename

    public void setSubstancename(String value)

  Sets the value of the substancename property.

  Parameters:
    `value` - allowed object is `String`

### getCd

    public CDSUBSTANCE getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDSUBSTANCE`

### setCd

    public void setCd(CDSUBSTANCE value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDSUBSTANCE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.